## org.apache.maven.plugins.site
Class SiteJarMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.maven.plugins.site.AbstractSiteMojo
              org.apache.maven.plugins.site.AbstractSiteRenderingMojo
                  org.apache.maven.plugins.site.SiteMojo
                      org.apache.maven.plugins.site.SiteJarMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class SiteJarMojo

extends SiteMojo

Bundles the site output into a JAR so that it can be deployed to a repository.

Since:
  2.0-beta-6
Version:
  $Id: SiteJarMojo.java 751418 2009-03-08 13:27:17Z dennisl $
Author:
  Matthew Beermann

Field Summary

Fields inherited from class org.apache.maven.plugins.site.SiteMojo
`outputDirectory`

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`artifactFactory, artifactResolver, assembler, attributes, generatedSiteDirectory, moduleExcludes, reports, repositories, siteRenderer`

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`i18n, locales, localRepository, project, reactorProjects, siteDirectory, siteTool`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`SiteJarMojo()`

Method Summary
`void` `execute()` Generate the project site throws MojoExecutionException if any
`protected java.lang.String` `getArtifactType()`
`protected java.lang.String` `getClassifier()`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteRenderingMojo
`categoriseReports, createSiteRenderingContext, filterReports, locateDocuments, locateReports`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`getInputEncoding, getOutputEncoding, populateReportItems, toRelative`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteJarMojo

    public SiteJarMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Description copied from class: `SiteMojo`
  Generate the project site

  throws MojoExecutionException if any

  Specified by:
    `execute` in interface `org.apache.maven.plugin.Mojo`
  Overrides:
    `execute` in class `SiteMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

### getArtifactType

    protected java.lang.String getArtifactType()

### getClassifier

    protected java.lang.String getClassifier()

Copyright © 2011. All Rights Reserved.